CREATE TABLE CAIXA (
ID_CAIXA INTEGER NOT NULL PRIMARY KEY,
DATA_ABERT DATE,
DATA_FECHA DATE,
VALOR_ABERT DECIMAL(15,2),
ATUAL DECIMAL(15,2),
VALOR_FECHA DECIMAL(15,2),
TURNO INTEGER
);

CREATE GENERATOR GEN_ID_CAIXA;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_ID_CAIXA FOR CAIXA
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_CAIXA = gen_id(GEN_ID_CAIXA,1);
END ^

COMMIT WORK ^
SET TERM ;^

